Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160207 - Regression: AC_LIBOBJ and subdir-objects
Summary: Regression: AC_LIBOBJ and subdir-objects
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: automake
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 13:59 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-29 17:15:32 UTC


Attachments (Terms of Use)
foo-0.0.1.tar.bz2 (deleted)
2005-06-13 14:00 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2005-06-13 13:59:38 UTC
Description of problem:
When using subdir-objects, this sort of thing should work:

AC_CHECK_FUNCS(getopt_long , , [
  AC_LIBOBJ(src/getopt)
  AC_LIBOBJ(src/getopt1)
])

and in previous automake releases it did.  With automake-1.9.5-1 it says those
files do not exist (when they do).

Version-Release number of selected component (if applicable):
automake-1.9.5-1

How reproducible:
100%

Steps to Reproduce:
See attached tarball.
1. tar jxf foo-0.0.1.tar.bz2; cd foo-0.0.1
2. aclocal
3. automake
  
Actual results:
Makefile.am:4: required file `./src/getopt.c' not found
Makefile.am:4: required file `./src/getopt1.c' not found

Expected results:
No errors.

Comment 1 Tim Waugh 2005-06-13 14:00:08 UTC
Created attachment 115352 [details]
foo-0.0.1.tar.bz2

Comment 2 Tim Waugh 2005-06-13 14:01:18 UTC
FWIW, this was distilled from the patchutils package.

Comment 3 Karsten Hopp 2006-08-02 13:00:03 UTC
Tom, any idea how to fix this ?
I've already tried AC_CONFIG_LIBOBJ_DIR([src]), but automake doesn't seem to use it.
That's with automake-1.9.6-2.1, btw.

Comment 4 Tom Tromey 2006-08-03 17:29:38 UTC
I'm afraid I don't really know.  I haven't been actively involved
in automake for quite a while.
All I can really suggest is an upstream bug report, sorry :(


Comment 5 Ralf Wildenhues 2006-10-20 13:11:58 UTC
Automake 1.10 is out now.  It supports AC_CONFIG_LIBOBJ_DIR.  So now you should
be able to write

AC_INIT
AC_CONFIG_LIBOBJ_DIR([src])
AM_INIT_AUTOMAKE([1.10 subdir-objects])
# ...
AC_CHECK_FUNCS(getopt_long , , [
  AC_LIBOBJ(getopt)
  AC_LIBOBJ(getopt1)
])


Hope that helps.

Comment 6 Stepan Kasal 2007-10-29 17:15:32 UTC
If there is only one libobj directory, then comment #5 shows the way.

Current Autotools do not support more than one libobj directory; if that was
what you needed, please discuss it upstream (lists bug-auto{make,conf} at gnu.org).


Note You need to log in before you can comment on or make changes to this bug.